## class SG_EXPORT osgUtx::TestSuite

> A TestSuite is the \em composite component of the Composite pattern, and allows aggregation of Tests into hierarchies

## Inheritance:

### Public Methods

TestSuite( const std::string& name )
void add( Test* pTest )
  Adds a Test to the suite.
Test* findChild(const std::string& name)
virtual bool accept( Test::Visitor& v )

### Protected Fields

Tests _tests

### Protected Methods

virtual ~TestSuite()

### Protected Members

typedef std::vector< osg::ref_ptr<Test> > Tests

### Inherited from Test:

### Public Methods

const std::string& name() const

### Public Members

typedef TestVisitor Visitor

### Protected Fields

std::string _name

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> A TestSuite is the \em composite component of the Composite pattern, and allows aggregation of Tests into hierarchies

`TestSuite( const std::string& name )`

`void add( Test* pTest )`
  Adds a Test to the suite.

`Test* findChild(const std::string& name)`
  Returns:
    s The immediate child denoted by name, or 0 if not found.

`virtual bool accept( Test::Visitor& v )`

`virtual ~TestSuite()`

`typedef std::vector< osg::ref_ptr<Test> > Tests`

`Tests _tests`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.